Skip to main content
GET
Get Superagent analytics

Authorizations

api_key
string
header
required

API key for authentication. See the Authentication page for your API for details on how to get your key.

Path Parameters

workspace_id
string
required
agent_id
string
required

Superagent ID.

Query Parameters

from
string
required

Start date in YYYY-MM-DD format.

to
string
required

End date in YYYY-MM-DD format.

Response

Successful Response

Detailed analytics for a specific Superagent.

superagent_id
string
required

Superagent identifier.

Example:

"agent_abc123"

superagent_name
string
required

Superagent name.

Example:

"Support Agent"

active_users_last_7d
integer
required

Approximate number of distinct users who sent messages to this Superagent in the last 7 days. Users who cannot be individually identified, such as users messaging through external channels, are counted as one user per conversation.

Required range: x >= 0
Example:

42

active_users_last_30d
integer
required

Approximate number of distinct users who sent messages to this Superagent in the last 30 days. Users who cannot be individually identified, such as users messaging through external channels, are counted as one user per conversation.

Required range: x >= 0
Example:

89

message_credits_consumed
number
required

Message credits consumed by this Superagent in the requested period.

Required range: x >= 0
Example:

4250

integration_credits_consumed
number
required

Integration credits consumed by this Superagent in the requested period.

Required range: x >= 0
Example:

875